I have Zimbra desktop 1.0.2 build 1651 installed and it just works fine.

When I do check for updates, it says no updates found.

When I try to look at the release on Zimbra website, it is 1.0.3 build 1691. I downloaded it and tried to install the same. As usual, it tried to uninstall the previous version and than gave an alarming message saying that Zimbra dataset is not compatible with the new release and should be deleted to continue or the installation should be quit.

I quit the installation as I have more than 11 GB of data across multiple email accounts in Yahoo, GMail etc.

I have never faced this kind of message before ? Any idea on why it came and what it means ? I do not want to delete the dataset under any circumstances as I am currently in slow internet access territory and do not want Zimbra to take days and days to download the dataset again.